## sgsearch-1.2.3.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)

set (PROJECT_NAME "sgsearch")
project (${PROJECT_NAME})
set (PROJECT_VERSION "1.2.3")
if (NOT DEFINED CMAKE_INSTALL_LIBDIR)
	set (CMAKE_INSTALL_LIBDIR "lib")
endif()

option(ENABLE_THUNARX "enable Thunar extension" on)

add_subdirectory (po)
add_subdirectory (src)
install (DIRECTORY doc/ DESTINATION doc/${PROJECT_NAME}-${PROJECT_VERSION})
