=== distrib/arch/PKGBUILD ===
pkgname=sgsearch
pkgver=PKGVER
pkgrel=1
pkgdesc='GTK search utility and Thunar extension.'
arch=('x86_64')
url='sgsearch.tuxfamily.org'
license=('CeCILL')
depends=()
source=($pkgname-$pkgver.tar.gz)
md5sums=(SKIP)

build() {
	cd $pkgname-$pkgver
	mkdir -p build
	cd build
	cmake .. -DCMAKE_INSTALL_PREFIX=/usr
	make
}

package() {
    cd $pkgname-$pkgver/build
    make install DESTDIR="$pkgdir"
    mkdir -p "$pkgdir"/usr/share/doc
    mv "$pkgdir"/usr/doc/$pkgname-$pkgver "$pkgdir"/usr/share/doc/
    install -Dm644 "$srcdir"/$pkgname-$pkgver/doc/License_CeCILL_V2.1-en.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
