=== distrib/debian/control ===
Package: sgsearch
Version: PKGVER
Architecture: amd64
Depends: libgtk-3-0
Maintainer: Frank Endres <frankendres@tuxfamily.org>
Description: GTK search utility and Thunar extension
